{include="header"}

{if="$fsc->factura"}
<script type="text/javascript">
   $(document).ready(function() {
      $("#b_imprimir").click(function(event) {
         event.preventDefault();
         $("#modal_imprimir").modal('show');
      });
      $("#b_eliminar").click(function(event) {
         event.preventDefault();
         $("#modal_eliminar").modal('show');
      });
      {if="$fsc->factura->totalrecargo==0"}
      $(".recargo").hide();
      {/if}
      {if="$fsc->factura->totalirpf==0"}
      $(".irpf").hide();
      {/if}
   });
</script>

<form action="{$fsc->factura->url()}" method="post" class="form">
   <input type="hidden" name="idfactura" value="{$fsc->factura->idfactura}"/>
   <div class="container-fluid">
      <div class="row">
         <div class="col-xs-8">
            <a class="btn btn-sm btn-default hidden-xs" href="{$fsc->url()}" title="recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            <div class="btn-group">
               <a id="b_imprimir" class="btn btn-sm btn-default" href="#">
                  <span class="glyphicon glyphicon-print"></span>
                  <span class="hidden-xs">&nbsp; Imprimir</span>
               </a>
               {if="$fsc->factura->idasiento"}
               <div class="btn-group">
                  <button class="btn btn-sm btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true">
                     <span class="glyphicon glyphicon-eye-open"></span>
                     <span class="hidden-xs">&nbsp; Asientos</span>
                  </button>
                  <ul class="dropdown-menu">
                     <li><a href="{$fsc->factura->asiento_url()}">Asiento principal</a></li>
                     {if="$fsc->factura->idasientop"}
                     <li><a href="{$fsc->factura->asiento_pago_url()}">Asiento de pago</a></li>
                     {/if}
                  </ul>
               </div>
               {else}
      
               {/if}
            </div>

            {if="$fsc->mostrar_boton_pagada"}
            <div class="btn-group">
               {if="$fsc->factura->pagada"}
               <button type="button" class="btn btn-sm btn-info dropdown-toggle" data-toggle="dropdown">
                  <span class="glyphicon glyphicon-ok"></span> &nbsp; Pagada <span class="caret"></span>
               </button>
               {else}
               <button type="button" class="btn btn-sm btn-warning dropdown-toggle" data-toggle="dropdown">
                  <span class="glyphicon glyphicon-remove"></span> &nbsp; Sin pagar <span class="caret"></span>
               </button>
               {/if}
               <ul class="dropdown-menu" role="menu">
                  {if="!$fsc->factura->pagada"}
                  <li><a href="{$fsc->url()}&pagada=TRUE"><span class="glyphicon glyphicon-ok"></span> &nbsp; Pagada</a></li>
                  {else}
                  <li><a href="{$fsc->url()}&pagada=FALSE"><span class="glyphicon glyphicon-remove"></span> &nbsp; Sin pagar</a></li>
                  {/if}
               </ul>
            </div>
            {elseif="$fsc->factura->pagada"}
            <a class="btn btn-sm btn-info" href="#">
               <span class="glyphicon glyphicon-ok"></span>
               <span class="hidden-xs">&nbsp; Pagada</span>
            </a>
            {/if}

            <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}&id={$fsc->factura->idfactura}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {elseif="$value->type=='modal'"}
               <!--{$txt=base64_encode($value->text)}-->
               <!--{$url='index.php?page='.$value->from.'&id='.$fsc->factura->idfactura.$value->params}-->
               <a href="#" class="btn btn-sm btn-default" onclick="fs_modal('{$txt}','{$url}')">{$value->text}</a>
               {/if}
            {/loop}
            </div>
         </div>
         <div class="col-xs-4 text-right">
            <a class="btn btn-sm btn-success" href="index.php?page=nueva_compra&tipo=factura" title="Nueva factura">
               <span class="glyphicon glyphicon-plus"></span>
            </a>
            <div class="btn-group">
               {if="$fsc->allow_delete"}
               <a id="b_eliminar" class="btn btn-sm btn-danger" href="#">
                  <span class="glyphicon glyphicon-trash"></span>
                  <span class="hidden-sm hidden-xs">&nbsp; Eliminar</span>
               </a>
               {/if}
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span>
                  <span class="hidden-xs">&nbsp; Guardar</span>
               </button>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-md-12">
            <br/>
            <ol class="breadcrumb" style="margin-bottom: 5px;">
               <li><a href="{$fsc->ppage->url()}">Compras</a></li>
               <li><a href="{$fsc->ppage->url()}">Factura</a></li>
               <li>
                  {loop="$fsc->serie->all()"}
                     {if="$value->codserie==$fsc->factura->codserie"}
                     <a href="{$fsc->ppage->url()}&codserie={$value->codserie}" class="text-capitalize">{$value->descripcion}</a>
                     {/if}
                  {/loop}
               </li>
               <li>
                  <a href="{$fsc->factura->proveedor_url()}">{$fsc->factura->nombre}</a>
               </li>
               {if="$fsc->proveedor"}
                  {if="$fsc->proveedor->nombre!=$fsc->factura->nombre"}
                  <li>
                     <a href="#" onclick="alert('Proveedor conocido como: {$fsc->proveedor->nombre}')">
                        <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
                     </a>
                  </li>
                  {/if}
               {/if}
               <li class="active"><b>{$fsc->factura->codigo}</b></li>
            </ol>
            <p>
               {if="$fsc->agente"}
               Factura creada por <a href="{$fsc->agente->url()}">{$fsc->agente->get_fullname()}</a>.
               {else}
               Sin datos de qué empleado ha creado esta factura.
               {/if}
               &nbsp;
               {if="$fsc->rectificada"}
               <a href="{$fsc->rectificada->url()}" class="label label-danger">
                  <span class="glyphicon glyphicon-flag" aria-hidden="true"></span>
                  &nbsp; {#FS_FACTURA_RECTIFICATIVA#} de {$fsc->factura->codigorect}
               </a>
               {elseif="$fsc->rectificativa"}
               <a href="{$fsc->rectificativa->url()}" class="label label-warning">
                  Hay una {#FS_FACTURA_RECTIFICATIVA#} asociada
               </a>
               {elseif="$fsc->factura->anulada"}
               <span class="label label-danger">Anulada</span>
               {/if}
            </p>
         </div>
      </div>

      <div class="row">
         <div class="col-sm-4">
            <div class="form-group">
               Núm. Proveedor:
               <input class="form-control" type="text" name="numproveedor" value="{$fsc->factura->numproveedor}"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Fecha:
               <input class="form-control datepicker" type="text" name="fecha" value="{$fsc->factura->fecha}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Hora:
               <input class="form-control" type="text" name="hora" value="{$fsc->factura->hora}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-4">
            <div class="form-group">
               <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
               <select name="forma_pago" class="form-control">
                  {loop="$fsc->forma_pago->all()"}
                  <option value="{$value->codpago}"{if="$fsc->factura->codpago==$value->codpago"} selected=""{/if}>{$value->descripcion}</option>
                  {/loop}
               </select>
            </div>
         </div>
      </div>
   </div>

   <div role="tabpanel">
      <ul class="nav nav-tabs" role="tablist">
         <li role="presentation" class="active">
            <a href="#lineas_f" aria-controls="lineas_f" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-list" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp; Líneas</span>
            </a>
         </li>
         <li role="presentation">
            <a href="#detalles" aria-controls="detalles" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp; Detalles</span>
            </a>
         </li>
         {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <li role="presentation">
               <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
            </li>
            {/if}
         {/loop}
      </ul>
      <div class="tab-content">
         <div role="tabpanel" class="tab-pane active" id="lineas_f">
            <div class="table-responsive">
               <table class="table table-hover">
                  <thead>
                     <tr>
                        <th class="text-left text-capitalize">{#FS_ALBARAN#}</th>
                        <th class="text-left">Artículo</th>
                        <th class="text-right">Cantidad</th>
                        <th class="text-right">Precio</th>
                        <th class="text-right">Dto</th>
                        <th class="text-right">Neto</th>
                        <th class="text-right">{#FS_IVA#}</th>
                        <th class="recargo text-right">RE</th>
                        <th class="irpf text-right">{#FS_IRPF#}</th>
                        <th class="text-right">Total</th>
                     </tr>
                  </thead>
                  {loop="$fsc->factura->get_lineas()"}
                  <tr{if="$value->cantidad<=0"} class="warning"{/if}>
                     <td>
                        {if="$value->idalbaran"}
                        <a href="{$value->albaran_url()}">{$value->albaran_codigo()}</a>
                        {$value->albaran_numero()}
                        {else}
                        -
                        {/if}
                     </td>
                     <td>
                        <a href="{$value->articulo_url()}">{$value->referencia}</a>
                        {$value->descripcion}
                     </td>
                     <td class="text-right">{$value->cantidad}</td>
                     <td class="text-right">{$fsc->show_precio($value->pvpunitario, $fsc->factura->coddivisa)}</td>
                     <td class="text-right">{$fsc->show_numero($value->dtopor, 2)} %</td>
                     <td class="text-right">{$fsc->show_precio($value->pvptotal, $fsc->factura->coddivisa)}</td>
                     <td class="text-right">{$fsc->show_numero($value->iva, 2)} %</td>
                     <td class="recargo text-right">{$fsc->show_numero($value->recargo, 2)} %</td>
                     <td class="irpf text-right">{$fsc->show_numero($value->irpf, 2)} %</td>
                     <td class="text-right">{$fsc->show_precio($value->total_iva(), $fsc->factura->coddivisa)}</td>
                  </tr>
                  {else}
                  <tr class="warning">
                     <td colspan="10">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        &nbsp; No hay líneas.
                     </td>
                  </tr>
                  {/loop}
                  <tr>
                     {if="$fsc->factura->coddivisa!=$fsc->empresa->coddivisa"}
                     <td colspan="5" class="text-right warning"><b>{$fsc->factura->coddivisa}:</b></td>
                     {else}
                     <td colspan="5"></td>
                     {/if}
                     <td class="text-right"><b>{$fsc->show_precio($fsc->factura->neto, $fsc->factura->coddivisa)}</b></td>
                     <td class="text-right"><b>{$fsc->show_precio($fsc->factura->totaliva, $fsc->factura->coddivisa)}</b></td>
                     <td class="recargo text-right"><b>{$fsc->show_precio($fsc->factura->totalrecargo, $fsc->factura->coddivisa)}</b></td>
                     <td class="irpf text-right"><b>-{$fsc->show_precio($fsc->factura->totalirpf, $fsc->factura->coddivisa)}</b></td>
                     <td class="text-right"><b>{$fsc->show_precio($fsc->factura->total, $fsc->factura->coddivisa)}</b></td>
                  </tr>
               </table>
            </div>

            <div class="container-fluid">
               <div class="row">
                  <div class="col-sm-12">
                     <div class="form-group">
                        Observaciones:
                        <textarea class="form-control" name="observaciones" rows="6">{$fsc->factura->observaciones}</textarea>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div role="tabpanel" class="tab-pane" id="detalles">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Nombre del proveedor:
                        <input class="form-control" type="text" name="nombre" value="{$fsc->factura->nombre}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        {#FS_CIFNIF#}:
                        <input class="form-control" type="text" name="cifnif" value="{$fsc->factura->cifnif}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->divisa->url()}">Divisa</a>:
                        <select name="divisa" class="form-control" disabled="">
                        {loop="$fsc->divisa->all()"}
                           {if="$value->coddivisa==$fsc->factura->coddivisa"}
                           <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                           {else}
                           <option value="{$value->coddivisa}">{$value->descripcion}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Tasa de conversión (1$ = X)
                        <input type="text" name="tasaconv" value="{$fsc->factura->tasaconv}" class="form-control" readonly=""/>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-credit-card" aria-hidden="true"></span>
                        &nbsp; Cuentas bancarias del proveedor:
                     </h3>
                     <div class="table-responsive">
                        <table class="table table-hover">
                           <thead>
                              <tr>
                                 <th width="30"></th>
                                 <th>Codcuenta + Descripción</th>
                                 <th>IBAN</th>
                                 <th>SWIFT/BIC</th>
                              </tr>
                           </thead>
                           {loop="$fsc->get_cuentas_bancarias()"}
                           <tr class="clickableRow" href="{$value->url()}">
                              <td class="text-right">
                                 {if="$value->principal"}
                                 <span class="glyphicon glyphicon-flag" aria-hidden="true" title="Cuenta principal"></span>
                                 {/if}
                              </td>
                              <td>
                                 <a href="{$value->url()}">{$value->codcuenta}</a>
                                 {$value->descripcion}
                              </td>
                              <td>{$value->iban}</td>
                              <td>{$value->swift}</td>
                           </tr>
                           {else}
                           <tr class="warning">
                              <td></td>
                              <td colspan="3">
                                 Este proveedor no tiene ninguna cuenta bancaria asignada.
                                 {if="$fsc->proveedor"}
                                 <a href="{$fsc->proveedor->url()}#cuentasb">Nueva cuenta bancaria</a>.
                                 {/if}
                              </td>
                           </tr>
                           {/loop}
                        </table>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-book" aria-hidden="true"></span>
                        &nbsp; Desglose de impuestos:
                     </h3>
                     <div class="table-responsive">
                        <table class="table table-hover">
                           <thead>
                              <tr>
                                 <th class="text-left">Impuesto</th>
                                 <th class="text-right">Neto</th>
                                 <th class="text-right">{#FS_IVA#}</th>
                                 <th class="text-right">Total {#FS_IVA#}</th>
                                 <th class="text-right">RE</th>
                                 <th class="text-right">Total RE</th>
                                 <th class="text-right">Total</th>
                              </tr>
                           </thead>
                           {loop="$fsc->factura->get_lineas_iva()"}
                           <tr>
                              <td>{$value->codimpuesto}</td>
                              <td class="text-right">{$fsc->show_precio($value->neto, $fsc->factura->coddivisa)}</td>
                              <td class="text-right">{$fsc->show_numero($value->iva, 2)} %</td>
                              <td class="text-right">{$fsc->show_precio($value->totaliva, $fsc->factura->coddivisa)}</td>
                              <td class="text-right">{$fsc->show_numero($value->recargo, 2)} %</td>
                              <td class="text-right">{$fsc->show_precio($value->totalrecargo, $fsc->factura->coddivisa)}</td>
                              <td class="text-right">{$fsc->show_precio($value->totallinea, $fsc->factura->coddivisa)}</td>
                           </tr>
                           {/loop}
                        </table>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
               <iframe src="index.php?page={$value->from}{$value->params}&id={$fsc->factura->idfactura}" width="100%" height="2000" frameborder="0"></iframe>
            </div>
            {/if}
         {/loop}
      </div>
   </div>
</form>

<div class="modal fade" id="modal_imprimir">
   <div class="modal-dialog">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title">Imprimir factura</h4>
         </div>
         <div class="modal-body">
            {loop="$fsc->extensions"}
               {if="$value->type=='pdf'"}
               <a href="index.php?page={$value->from}{$value->params}&id={$fsc->factura->idfactura}" target="_blank" class="btn btn-block btn-default">
                  <span class="glyphicon glyphicon-print"></span> &nbsp; {$value->text}
               </a>
               {/if}
            {/loop}
         </div>
      </div>
   </div>
</div>

<form action="{$fsc->url()}" method="post" class="form">
   <input type="hidden" name="anular" value="TRUE"/>
   <div class="modal fade" id="modal_eliminar">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">¿Quiere eliminar o anular esta factura?</h4>
            </div>
            <div class="modal-body bg-warning">
               {if="$fsc->factura->idasiento"}
               Si decide <b>eliminar</b>, hay asociado un asiento contable que será eliminado
               junto con la factura. Además, si no hay asociado un {#FS_ALBARAN#} o {#FS_ALBARANES#},
               se restaurará el stock de los artículos.
               {else}
               Si decide <b>eliminar</b>, se restaurará el stock de los artículos si no hay asociado un
               {#FS_ALBARAN#} o {#FS_ALBARANES#}.
               {/if}
               <br/><br/>
               Si decide <b>anular</b>, se generará una <b>{#FS_FACTURA_RECTIFICATIVA#}</b>
               y se restaurará el stock de los artículos, aunque primero debe elegir
               la serie para la {#FS_FACTURA_RECTIFICATIVA#}:
               <div class="form-group">
                  <select name="codserie" class="form-control">
                  {loop="$fsc->serie->all()"}
                     {if="$value->codserie==$fsc->factura->codserie"}
                     <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                     {else}
                     <option value="{$value->codserie}">{$value->descripcion}</option>
                     {/if}
                  {/loop}
                  </select>
               </div>
               <div class="form-group">
                  <textarea name="motivo" class="form-control" placeholder="Motivo de la anulación"></textarea>
               </div>
            </div>
            <div class="modal-footer">
               <a class="btn btn-sm btn-danger pull-left" href="{$fsc->ppage->url()}&delete={$fsc->factura->idfactura}">
                  <span class="glyphicon glyphicon-trash"></span> &nbsp; Eliminar
               </a>
               <button type="submit" class="btn btn-sm btn-warning">
                  <span class="glyphicon glyphicon-flag"></span> &nbsp; Anular
               </button>
            </div>
         </div>
      </div>
   </div>
</form>
{else}
<div class="thumbnail">
   <img src="view/img/fuuu_face.png" alt="fuuuuu"/>
</div>
{/if}

{include="footer"}
